aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBenda Xu <heroxbd@gentoo.org>2016-10-06 12:02:18 +0900
committerBenda Xu <heroxbd@gentoo.org>2016-10-06 12:03:54 +0900
commitf6a3f0f3268b9bd11cdeac02b7121ab9742a1727 (patch)
tree048105083d3e820c02331fb8dc459c294d84c3a8 /maven/eclass/java-pkg-binjar.eclass
parentadd an option --cache-file to specify cache file. (diff)
downloadjava-ebuilder-f6a3f0f3268b9bd11cdeac02b7121ab9742a1727.tar.gz
java-ebuilder-f6a3f0f3268b9bd11cdeac02b7121ab9742a1727.tar.bz2
java-ebuilder-f6a3f0f3268b9bd11cdeac02b7121ab9742a1727.zip
maven/: maven overlay skeleton.
Diffstat (limited to 'maven/eclass/java-pkg-binjar.eclass')
-rw-r--r--maven/eclass/java-pkg-binjar.eclass30
1 files changed, 30 insertions, 0 deletions
diff --git a/maven/eclass/java-pkg-binjar.eclass b/maven/eclass/java-pkg-binjar.eclass
new file mode 100644
index 0000000..79947e7
--- /dev/null
+++ b/maven/eclass/java-pkg-binjar.eclass
@@ -0,0 +1,30 @@
+# Copyright 2004-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+# @ECLASS: java-pkg-binjar.eclass
+# @MAINTAINER:
+# java@gentoo.org
+# @AUTHOR:
+# Java maintainers (java@gentoo.org)
+# @BLURB: Eclass for packaging binary jar.
+# @DESCRIPTION:
+# This class is a short cut to install binary jar directly. Binary jar
+# is copied to the standard place together with a environment file.
+
+inherit java-pkg-simple
+
+EXPORT_FUNCTIONS src_unpack src_compile
+
+# @FUNCTION: java-pkg-binjar_src_unpack
+# @DESCRIPTION:
+# Copy the binary jar into the expected place of java-pkg-simple. Do
+# not extract files from archive.
+java-pkg-binjar_src_unpack() {
+ cp "${DISTDIR}"/${A} "${S}"/${PN}.jar || die "cp failed"
+}
+
+# @FUNCTION: java-pkg-simple_src_compile
+# @DESCRIPTION:
+# Do nothing as we are doing binary install.
+java-pkg-binjar_src_compile() { :; }